org.apache.solr.common.util

## Class Pair<K,V>

- java.lang.Object
- - org.apache.solr.common.util.Pair<K,V>

All Implemented Interfaces:
  Serializable

    public class Pair<K,V>
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Pair(K key, V value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`K` `getKey()`
`V` `getValue()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Pair

    public Pair(K key,
                V value)

### Method Detail

#### getKey

    public K getKey()

#### getValue

    public V getValue()